#include <algorithm>
#include <string>

#include "LibSip_Steps.hh"

#include "loggers.hh"

namespace LibSip__Steps {

  CHARSTRING fx__rndStr() {
    static const char alphanum[] = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz";
    static int length = 10;
    char s[length] = { 0 };
    for (int i = 0; i < length - 1; ++i) {
      s[i] = alphanum[rand() % (sizeof(alphanum) - 1)];
    } // End of 'for' statement
    return CHARSTRING(s);
  };

  CHARSTRING fx__putInLowercase(const CHARSTRING& p__string) {
    std::string s(static_cast<const char*>(p__string));
    std::transform(s.begin(), s.end(), s.begin(), ::tolower);
    return CHARSTRING(s.c_str());
  };
  CHARSTRING fx__getIpAddr(const CHARSTRING& p__host__name) { return CHARSTRING(""); };
  CHARSTRING fx__calculateDigestResponse(const CHARSTRING& p__nonce, const CHARSTRING& p__cnonce, const CHARSTRING& p__user, const CHARSTRING& p__realm, const CHARSTRING& p__passwd, const CHARSTRING& p__alg, const CHARSTRING& p__nonceCount, const CHARSTRING& p__method, const CHARSTRING& p__qop, const CHARSTRING& p__URI, const CHARSTRING& p__HEntity) { return CHARSTRING(""); };

} // End of namespace LibSip__Steps
